> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siliconflow.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取batch任务详情

> Retrieves a batch.



## OpenAPI

````yaml get /batches/{batch_id}
openapi: 3.0.0
info:
  title: SiliconFlow API
  description: The SiliconFlow REST API
  version: 1.0.0
  contact:
    name: SiliconFlow Support
    url: https://www.siliconflow.cn/
  license:
    name: MIT
    url: https://github.com/siliconflow/siliconcloud/blob/main/LICENSE
servers:
  - url: https://api.siliconflow.cn/v1
security:
  - bearerAuth: []
paths:
  /batches/{batch_id}:
    get:
      summary: Retrieves a batch.
      description: Retrieves a batch.
      operationId: getBatchEvaluationJob
      parameters:
        - name: batch_id
          in: path
          description: The ID of the batch to retrieve.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The Batch object matching the specified ID.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: batch_rdyqgrcgjg
                  object:
                    type: string
                    example: batch
                  endpoint:
                    type: string
                    example: /v1/chat/completions
                  errors:
                    type: array
                    items:
                      type: string
                    example: []
                  input_file_id:
                    type: string
                    example: file-jkvytbjtow
                  completion_window:
                    type: string
                    example: 24h
                  status:
                    type: string
                    example: in_queue
                  output_file_id:
                    type: string
                    example: null
                  error_file_id:
                    type: string
                    example: null
                  created_at:
                    type: integer
                    example: 1741685413
                  in_progress_at:
                    type: integer
                    example: null
                  expires_at:
                    type: integer
                    example: 1741771813
                  finalizing_at:
                    type: integer
                    example: null
                  completed_at:
                    type: integer
                    example: null
                  failed_at:
                    type: integer
                    example: null
                  expired_at:
                    type: integer
                    example: null
                  cancelling_at:
                    type: integer
                    example: null
                  cancelled_at:
                    type: integer
                    example: null
                  request_counts:
                    type: object
                    example: {}
                  metadata:
                    type: object
                    properties:
                      description:
                        type: string
                        example: nightly eval job
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '503':
          $ref: '#/components/responses/Overloaded'
        '504':
          $ref: '#/components/responses/Timeout'
      deprecated: false
components:
  responses:
    BadRequest:
      description: BadRequest
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRquestData'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthorizedData'
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ForbiddenData'
    NotFound:
      description: NotFound
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/NotFoundData'
    Overloaded:
      description: Overloaded
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/OverloadedtData'
    Timeout:
      description: Timeout
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TimeoutData'
  schemas:
    BadRquestData:
      type: object
      required:
        - message
        - data
        - code
      properties:
        code:
          type: integer
          nullable: true
          default: false
          example: 20012
        message:
          type: string
          nullable: false
        data:
          type: string
          nullable: false
    UnauthorizedData:
      type: string
      default: false
      example: Invalid token
    ForbiddenData:
      type: string
      default: false
      example: Forbidden
    NotFoundData:
      type: string
      default: false
      example: 404 page not found
    OverloadedtData:
      type: object
      required:
        - code
        - message
        - data
      properties:
        code:
          type: integer
          example: 50505
        message:
          type: string
          example: Model service overloaded. Please try again later.
        data:
          type: string
          nullable: false
    TimeoutData:
      type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: your api key
      description: >-
        Use the following format for authentication: Bearer [<your api
        key>](https://cloud.siliconflow.cn/account/ak)

````